Subject: Re: bug#33567: Syntactic fontification of diff hunks

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Dec 2018 02:11:19 +0200

>> I tried to replicate your settings: in emacs -Q I change the default
>> foreground with e.g. M-x set-foreground-color RET
>
> That only seems to change the default's foreground color. Which affects how
> the context looks, but not lines with changes.
>
>> A side note: M-x set-foreground-color RET TAB shows a list
>> of colors with different backgrounds, not foregrounds
>> as it would be natural to expect, so it is difficult to decide
>> what foreground color to select by looking at background colors.
>> This needs a separate bug#.
>
> Indeed, it only gives a rough idea.

Reported to bug#33799.

>> Ok, let's say I chose M-x set-foreground-color RET LightSeaGreen
>>
>> Now in diff-mode I see exactly the same fontification with the same
>> foreground colors and as seen in the original buffer visited from
>> diff-mode by `C-c C-c', plus red/green background added by diff-mode.
>
> Let me show you a screenshot. I've set some purple-ish foreground using
> 'M-x set-foreground-color', and you can see it in certain places. But where
> there was the "default" face in the original buffers, in the changes lines
> there is now green4 or red4 in the foreground, coming from the respective
> faces diff-added and diff-removed.

Thanks, I see now.

Does it help to remove foreground colors from diff-added and diff-removed?

Neither GitHub nor GitLab have foreground green/red colors, only background
green/red colors.